/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */




// ----------------------------------------------------------------
// Sample captured at: 2015-10-26 18:34:00 local, 2015-10-27 01:34:00 GMT
// BUT MODIFIED TO SIMULATE BEING PLUGGED IN
AlgDlsMinuteData *activity_sample_2015_12_02_18_34_00(int *len) {
  // The unit tests parse the //> TEST_.* lines below for test values
  //> TEST_NAME pbl_28371_plugged_in
  //> TEST_VERSION 3
  //> TEST_TOTAL 0
  //> TEST_TOTAL_MIN 0
  //> TEST_TOTAL_MAX 0
  //> TEST_DEEP -1
  //> TEST_DEEP_MIN -1
  //> TEST_DEEP_MAX -1
  //> TEST_START_AT 0
  //> TEST_START_AT_MIN 0
  //> TEST_START_AT_MAX 0
  //> TEST_END_AT -1
  //> TEST_END_AT_MIN -1
  //> TEST_END_AT_MAX -1
  //> TEST_CUR_STATE_ELAPSED -1
  //> TEST_CUR_STATE_ELAPSED_MIN -1
  //> TEST_CUR_STATE_ELAPSED_MAX -1
  //> TEST_IN_SLEEP 0
  //> TEST_IN_SLEEP_MIN 0
  //> TEST_IN_SLEEP_MAX 0
  //> TEST_IN_DEEP_SLEEP 0
  //> TEST_IN_DEEP_SLEEP_MIN 0
  //> TEST_IN_DEEP_SLEEP_MAX 0
  //> TEST_WEIGHT 1.0

  // list of: {steps, orientation, vmc, light, plugged_in}
  static AlgDlsMinuteData samples[] = {
    { 0, 0x69, 764, 214, 0},
    { 0, 0x58, 462, 197, 0},
    { 0, 0x58, 369, 180, 0},
    { 0, 0x7a, 726, 203, 0},
    { 16, 0x68, 2044, 212, 0},
    { 0, 0x59, 194, 189, 0},
    { 0, 0x59, 134, 185, 0},
    { 0, 0x69, 581, 179, 0},
    { 0, 0x62, 0, 179, 0},
    { 0, 0x63, 12, 193, 0},
    { 0, 0x63, 36, 192, 0},
    { 0, 0x63, 80, 186, 0},
    { 0, 0x58, 1247, 185, 0},
    { 62, 0x31, 7081, 156, 0},
    { 92, 0x41, 6372, 185, 0},
    // 15: Local time: 06:49:00 PM
    { 48, 0x57, 1536, 182, 0},
    { 108, 0x57, 3531, 162, 0},
    { 109, 0x57, 3916, 189, 0},
    { 80, 0x57, 3035, 180, 0},
    { 104, 0x57, 3692, 194, 0},
    { 110, 0x57, 3481, 170, 0},
    { 85, 0x30, 6557, 178, 0},
    { 95, 0x40, 8533, 183, 0},
    { 85, 0x36, 3901, 187, 0},
    { 68, 0x41, 7277, 190, 0},
    { 21, 0x40, 3123, 200, 0},
    { 32, 0x54, 3582, 188, 0},
    { 76, 0x40, 4807, 183, 0},
    { 0, 0x32, 5183, 183, 0},
    { 10, 0x45, 1784, 195, 0},
    // 30: Local time: 07:04:00 PM
    { 0, 0x41, 3821, 193, 0},
    { 29, 0x22, 4881, 199, 0},
    { 0, 0x40, 2414, 193, 0},
    { 16, 0x4f, 2326, 202, 0},
    { 32, 0x40, 1963, 187, 0},
    { 39, 0x41, 2804, 188, 0},
    { 0, 0x24, 2268, 188, 0},
    { 0, 0x52, 3957, 191, 0},
    { 12, 0x71, 2056, 194, 0},
    { 21, 0x32, 4195, 192, 0},
    { 107, 0x41, 6131, 177, 0},
    { 107, 0x40, 4935, 159, 0},
    { 117, 0x40, 6272, 163, 0},
    { 107, 0x5f, 4281, 157, 0},
    { 108, 0x5f, 4496, 159, 0},
    // 45: Local time: 07:19:00 PM
    { 90, 0x5f, 3639, 185, 0},
    { 20, 0x30, 3691, 190, 0},
    { 0, 0x42, 6878, 182, 0},
    { 0, 0x41, 8418, 157, 0},
    { 22, 0x41, 8817, 181, 0},
    { 30, 0x42, 8177, 165, 0},
    { 16, 0x43, 8428, 163, 0},
    { 9, 0x54, 2047, 185, 0},
    { 0, 0x74, 154, 185, 0},
    { 0, 0x75, 108, 183, 0},
    { 0, 0x63, 3166, 171, 0},
    { 0, 0x25, 382, 170, 0},
    { 0, 0x59, 1483, 183, 0},
    { 0, 0x59, 581, 183, 0},
    { 0, 0x4a, 2698, 196, 0},
    // 60: Local time: 07:34:00 PM
    { 0, 0x59, 676, 182, 0},
    { 0, 0x5a, 191, 193, 0},
    { 0, 0x3a, 2298, 148, 0},
    { 0, 0x4b, 1220, 194, 0},
    { 0, 0x69, 468, 192, 0},
    { 0, 0x4a, 2149, 186, 0},
    { 0, 0x2c, 2018, 157, 0},
    { 0, 0x66, 1378, 149, 0},
    { 0, 0x4c, 1803, 151, 0},
    { 0, 0x67, 237, 149, 0},
    { 0, 0x5c, 2853, 151, 0},
    { 0, 0x7e, 352, 150, 0},
    { 0, 0x7e, 1774, 150, 0},
    { 0, 0x5a, 986, 147, 0},
    { 0, 0x62, 2486, 148, 0},
    // 75: Local time: 07:49:00 PM
    { 0, 0x72, 0, 150, 0},
    { 8, 0x63, 1514, 151, 0},
    { 0, 0x54, 634, 149, 0},
    { 0, 0x45, 875, 149, 0},
    { 0, 0x54, 1541, 141, 0},
    { 10, 0x64, 1867, 152, 0},
    { 0, 0x7f, 3145, 150, 0},
    { 0, 0x7f, 1106, 152, 0},
    { 0, 0x7f, 1953, 151, 0},
    { 0, 0x70, 275, 149, 0},
    { 0, 0x63, 5723, 150, 0},
    { 0, 0x54, 104, 150, 0},
    { 0, 0x44, 134, 148, 0},
    { 0, 0x35, 1080, 149, 0},
    { 0, 0x2b, 404, 145, 0},
    // 90: Local time: 08:04:00 PM
    { 0, 0x2b, 0, 148, 0},
    { 0, 0x53, 1312, 151, 0},
    { 0, 0x65, 1342, 160, 0},
    { 0, 0x54, 3784, 197, 0},
    { 0, 0x45, 2090, 194, 0},
    { 8, 0x43, 6360, 191, 0},
    { 0, 0x52, 2180, 195, 0},
    { 0, 0x7f, 3491, 167, 0},
    { 0, 0x5f, 340, 196, 0},
    { 0, 0x6d, 3252, 192, 0},
    { 0, 0x72, 638, 199, 0},
    { 0, 0x7f, 2018, 192, 0},
    { 8, 0x42, 5850, 182, 0},
    { 0, 0x23, 3458, 195, 0},
    { 0, 0x58, 3209, 177, 0},
    // 105: Local time: 08:19:00 PM
    { 0, 0x67, 246, 180, 0},
    { 0, 0x35, 598, 159, 0},
    { 0, 0x35, 103, 171, 0},
    { 0, 0x36, 600, 181, 0},
    { 0, 0x69, 177, 182, 0},
    { 0, 0x58, 984, 176, 0},
    { 0, 0x6a, 225, 179, 0},
    { 0, 0x6a, 0, 190, 0},
    { 0, 0x69, 1744, 190, 0},
    { 0, 0x65, 1416, 187, 0},
    { 0, 0x65, 0, 190, 0},
    { 0, 0x65, 0, 190, 0},
    { 0, 0x65, 29, 179, 0},
    { 0, 0x87, 1459, 180, 0},
    { 0, 0x86, 0, 180, 0},
    // 120: Local time: 08:34:00 PM
    { 0, 0x86, 0, 191, 0},
    { 0, 0x86, 0, 190, 0},
    { 0, 0x86, 0, 191, 0},
    { 0, 0x86, 65, 180, 0},
    { 0, 0x86, 0, 192, 0},
    { 0, 0x85, 1553, 183, 0},
    { 0, 0x61, 2324, 180, 0},
    { 0, 0x71, 0, 192, 0},
    { 0, 0x71, 674, 193, 0},
    { 0, 0x5f, 139, 191, 0},
    { 0, 0x8e, 299, 192, 0},
    { 0, 0x5c, 2772, 197, 0},
    { 0, 0x79, 2319, 191, 0},
    { 0, 0x4c, 1579, 167, 0},
    { 0, 0x67, 1042, 186, 0},
    // 135: Local time: 08:49:00 PM
    { 0, 0x1c, 745, 184, 0},
    { 0, 0x4e, 2646, 195, 0},
    { 0, 0x71, 201, 187, 0},
    { 0, 0x72, 0, 188, 0},
    { 0, 0x71, 13, 193, 0},
    { 0, 0x60, 1947, 196, 0},
    { 0, 0x51, 0, 196, 0},
    { 0, 0x51, 1192, 186, 0},
    { 0, 0x51, 1911, 185, 0},
    { 0, 0x72, 2524, 183, 0},
    { 0, 0x4b, 686, 189, 0},
    { 0, 0x4b, 194, 151, 0},
    { 0, 0x3b, 165, 153, 0},
    { 0, 0x2b, 0, 157, 0},
    { 0, 0x2b, 0, 154, 0},
    // 150: Local time: 09:04:00 PM
    { 0, 0x3a, 542, 154, 0},
    { 0, 0x4a, 1237, 183, 0},
    { 0, 0x67, 49, 183, 0},
    { 0, 0x78, 2591, 193, 0},
    { 15, 0x73, 1977, 163, 0},
    { 0, 0x73, 301, 177, 0},
    { 0, 0x73, 84, 194, 0},
    { 0, 0x74, 17, 194, 0},
    { 0, 0x74, 84, 183, 1},
    { 0, 0x73, 0, 181, 1},
    { 0, 0x73, 542, 168, 1},
    { 0, 0x73, 368, 178, 1},
    { 0, 0x51, 18, 181, 1},
    { 0, 0x51, 0, 191, 1},
    { 0, 0x51, 653, 181, 1},
    // 165: Local time: 09:20:00 PM
    { 0, 0x51, 87, 183, 1},
    { 0, 0x51, 0, 183, 1},
    { 0, 0x51, 0, 183, 1},
    { 7, 0x51, 738, 185, 1},
    { 0, 0x51, 383, 193, 1},
    { 0, 0x61, 1, 183, 1},
    { 0, 0x61, 3, 193, 1},
    { 0, 0x61, 0, 193, 1},
    { 0, 0x61, 0, 183, 1},
    { 0, 0x61, 25, 183, 1},
    { 0, 0x61, 48, 174, 1},
    { 0, 0x51, 0, 194, 1},
    { 0, 0x61, 32, 196, 0},
    { 0, 0x62, 0, 196, 1},
    { 0, 0x61, 1908, 189, 1},
    // 180: Local time: 09:35:00 PM
    { 0, 0x60, 0, 192, 1},
    { 0, 0x60, 0, 192, 1},
    { 0, 0x60, 0, 192, 1},
    { 0, 0x60, 46, 181, 1},
    { 0, 0x60, 0, 192, 1},
    { 0, 0x60, 20, 181, 1},
    { 0, 0x60, 0, 180, 1},
    { 0, 0x60, 0, 181, 1},
    { 0, 0x60, 0, 192, 1},
    { 0, 0x60, 0, 189, 1},
    { 0, 0x60, 0, 191, 1},
    { 0, 0x60, 0, 192, 1},
    { 0, 0x60, 0, 192, 1},
    { 0, 0x60, 0, 192, 1},
    { 0, 0x60, 0, 189, 1},
    // 195: Local time: 09:50:00 PM
    { 0, 0x60, 0, 191, 1},
    { 0, 0x60, 0, 192, 1},
    { 0, 0x60, 0, 191, 1},
    { 0, 0x60, 6, 180, 1},
    { 0, 0x60, 652, 202, 1},
    { 0, 0x71, 0, 184, 1},
    { 0, 0x78, 1600, 192, 1},
    { 0, 0x78, 488, 192, 1},
    { 0, 0x78, 0, 192, 1},
    { 0, 0x78, 0, 190, 1},
    { 0, 0x78, 25, 192, 1},
    { 0, 0x78, 0, 193, 1},
    { 0, 0x78, 1175, 192, 1},
    { 0, 0x78, 889, 191, 1},
    { 0, 0x78, 0, 188, 1},
    // 210: Local time: 10:05:00 PM
    { 0, 0x78, 0, 191, 1},
    { 0, 0x78, 0, 191, 1},
    { 0, 0x78, 89, 181, 1},
    { 0, 0x78, 0, 181, 1},
    { 0, 0x78, 0, 192, 1},
    { 0, 0x68, 149, 191, 1},
    { 0, 0x68, 0, 191, 1},
    { 0, 0x68, 0, 191, 1},
    { 0, 0x68, 0, 191, 1},
    { 0, 0x68, 0, 188, 1},
    { 0, 0x68, 0, 191, 1},
    { 0, 0x68, 0, 191, 1},
    { 0, 0x68, 0, 191, 1},
    { 0, 0x68, 180, 191, 1},
    { 0, 0x68, 0, 188, 1},
    // 225: Local time: 10:20:00 PM
    { 0, 0x68, 1495, 149, 1},
    { 0, 0x25, 0, 149, 1},
    { 0, 0x15, 514, 174, 1},
    { 0, 0x25, 0, 173, 1},
    { 0, 0x25, 0, 163, 1},
    { 0, 0x25, 0, 176, 1},
    { 0, 0x25, 0, 176, 1},
    { 0, 0x25, 0, 175, 1},
    { 0, 0x25, 0, 175, 1},
    { 0, 0x25, 0, 172, 1},
    { 0, 0x25, 0, 175, 1},
    { 0, 0x25, 0, 174, 1},
    { 0, 0x25, 0, 174, 1},
    { 0, 0x25, 1115, 155, 1},
    { 0, 0x5a, 0, 151, 1},
    // 240: Local time: 10:35:00 PM
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x5a, 0, 155, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x59, 1276, 152, 1},
    { 0, 0x67, 282, 152, 1},
    { 0, 0x67, 0, 152, 1},
    { 0, 0x68, 242, 150, 1},
    { 0, 0x68, 0, 152, 1},
    { 0, 0x68, 25, 152, 1},
    { 0, 0x68, 75, 142, 1},
    { 0, 0x68, 0, 142, 1},
    { 0, 0x68, 60, 141, 1},
    // 255: Local time: 10:50:00 PM
    { 0, 0x68, 144, 153, 1},
    { 0, 0x67, 0, 153, 1},
    { 0, 0x73, 1311, 150, 1},
    { 0, 0x62, 0, 151, 1},
    { 0, 0x62, 0, 139, 1},
    { 0, 0x62, 0, 151, 1},
    { 0, 0x61, 772, 151, 1},
    { 0, 0x61, 0, 151, 1},
    { 0, 0x6f, 535, 151, 1},
    { 0, 0x6f, 0, 149, 1},
    { 0, 0x6f, 79, 140, 1},
    { 0, 0x6f, 0, 140, 1},
    { 0, 0x6f, 0, 141, 1},
    { 0, 0x6f, 0, 151, 1},
    { 0, 0x6f, 0, 149, 1},
    // 270: Local time: 11:05:00 PM
    { 0, 0x6f, 0, 151, 1},
    { 0, 0x6f, 29, 140, 1},
    { 0, 0x6f, 0, 141, 1},
    { 0, 0x6f, 0, 140, 1},
    { 0, 0x71, 2228, 141, 1},
    { 0, 0x74, 0, 152, 1},
    { 0, 0x74, 0, 151, 1},
    { 0, 0x74, 0, 152, 1},
    { 0, 0x74, 0, 151, 1},
    { 0, 0x74, 0, 148, 1},
    { 0, 0x74, 0, 151, 1},
    { 0, 0x74, 0, 151, 1},
    { 0, 0x76, 2149, 150, 1},
    { 0, 0x35, 323, 150, 1},
    { 0, 0x35, 6, 147, 1},
    // 285: Local time: 11:20:00 PM
    { 0, 0x35, 0, 149, 1},
    { 0, 0x35, 0, 150, 1},
    { 0, 0x35, 0, 149, 1},
    { 0, 0x35, 0, 150, 1},
    { 0, 0x35, 0, 139, 1},
    { 0, 0x35, 0, 150, 1},
    { 0, 0x35, 0, 150, 1},
    { 0, 0x35, 0, 150, 1},
    { 0, 0x35, 0, 149, 1},
    { 0, 0x35, 0, 147, 1},
    { 0, 0x35, 0, 150, 1},
    { 0, 0x35, 0, 149, 1},
    { 0, 0x35, 0, 150, 1},
    { 0, 0x35, 0, 150, 1},
    { 0, 0x35, 0, 147, 1},
    // 300: Local time: 11:35:00 PM
    { 0, 0x35, 0, 150, 1},
    { 0, 0x35, 0, 150, 1},
    { 0, 0x35, 0, 150, 1},
    { 0, 0x35, 0, 150, 1},
    { 0, 0x35, 0, 142, 1},
    { 0, 0x35, 10, 139, 1},
    { 0, 0x35, 0, 139, 1},
    { 0, 0x36, 683, 139, 1},
    { 0, 0x59, 980, 153, 1},
    { 0, 0x68, 0, 150, 1},
    { 0, 0x68, 36, 153, 1},
    { 0, 0x68, 228, 153, 1},
    { 0, 0x68, 0, 153, 1},
    { 0, 0x68, 37, 150, 1},
    { 0, 0x68, 979, 140, 1},
    // 315: Local time: 11:50:00 PM
    { 0, 0x63, 0, 140, 1},
    { 0, 0x62, 468, 151, 1},
    { 0, 0x60, 0, 151, 1},
    { 0, 0x60, 0, 151, 1},
    { 0, 0x60, 0, 138, 1},
    { 0, 0x60, 0, 151, 1},
    { 0, 0x60, 165, 152, 1},
    { 0, 0x60, 0, 151, 1},
    { 0, 0x60, 0, 151, 1},
    { 0, 0x60, 0, 149, 1},
    { 0, 0x60, 0, 151, 1},
    { 0, 0x60, 0, 151, 1},
    { 0, 0x60, 0, 151, 1},
    { 0, 0x61, 853, 160, 1},
    { 0, 0x9, 0, 145, 1},
    // 330: 10/27/15 Local time: 12:05:00 AM
    { 0, 0x9, 0, 148, 1},
    { 0, 0x1b, 218, 148, 1},
    { 0, 0x1c, 168, 138, 1},
    { 0, 0x1c, 0, 139, 1},
    { 0, 0x1c, 39, 150, 1},
    { 0, 0x1c, 3, 149, 1},
    { 0, 0x1c, 0, 149, 1},
    { 0, 0x1c, 0, 149, 1},
    { 0, 0x1c, 0, 149, 1},
    { 0, 0x1c, 0, 147, 1},
    { 0, 0x1c, 0, 149, 1},
    { 0, 0x1c, 0, 149, 1},
    { 0, 0x1c, 0, 150, 1},
    { 0, 0x4b, 1607, 154, 1},
    { 0, 0x5a, 0, 151, 1},
    // 345: Local time: 12:20:00 AM
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x5a, 0, 142, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x67, 1321, 148, 1},
    { 0, 0x67, 1373, 156, 1},
    { 0, 0x67, 32, 142, 1},
    { 0, 0x75, 1977, 140, 1},
    { 0, 0x63, 0, 150, 1},
    { 0, 0x63, 0, 150, 1},
    { 0, 0x63, 0, 150, 1},
    { 0, 0x63, 0, 150, 1},
    { 0, 0x63, 0, 149, 1},
    // 360: Local time: 12:35:00 AM
    { 0, 0x63, 0, 151, 1},
    { 0, 0x63, 0, 151, 1},
    { 0, 0x63, 0, 150, 1},
    { 0, 0x63, 0, 150, 1},
    { 0, 0x63, 0, 151, 1},
    { 0, 0x63, 0, 150, 1},
    { 0, 0x63, 0, 150, 1},
    { 0, 0x63, 0, 151, 1},
    { 0, 0x3e, 2314, 149, 1},
    { 0, 0x3d, 841, 146, 1},
    { 0, 0x3d, 0, 149, 1},
    { 0, 0x3d, 0, 149, 1},
    { 0, 0x3d, 0, 149, 1},
    { 0, 0x3d, 0, 148, 1},
    { 0, 0x3d, 0, 146, 1},
    // 375: Local time: 12:50:00 AM
    { 0, 0x3d, 0, 149, 1},
    { 0, 0x3d, 0, 148, 1},
    { 0, 0x3d, 0, 149, 1},
    { 0, 0x3d, 0, 148, 1},
    { 0, 0x3d, 0, 136, 1},
    { 0, 0x3d, 0, 148, 1},
    { 0, 0x3d, 0, 148, 1},
    { 0, 0x3d, 0, 148, 1},
    { 0, 0x3d, 0, 148, 1},
    { 0, 0x3d, 13, 146, 1},
    { 0, 0x3d, 6, 148, 1},
    { 0, 0x4c, 695, 151, 1},
    { 0, 0x67, 631, 151, 1},
    { 0, 0x67, 0, 151, 1},
    { 0, 0x67, 0, 149, 1},
    // 390: Local time: 01:05:00 AM
    { 0, 0x67, 724, 152, 1},
    { 0, 0x66, 0, 152, 1},
    { 0, 0x6a, 1653, 152, 1},
    { 0, 0x5a, 13, 154, 1},
    { 0, 0x5a, 0, 133, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x5a, 0, 151, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x59, 1689, 152, 1},
    { 0, 0x68, 0, 149, 1},
    // 405: Local time: 01:20:00 AM
    { 0, 0x68, 0, 152, 1},
    { 0, 0x68, 0, 152, 1},
    { 0, 0x69, 65, 152, 1},
    { 0, 0x2d, 1951, 148, 1},
    { 0, 0x2d, 0, 138, 1},
    { 0, 0x2d, 1269, 151, 1},
    { 0, 0x6d, 268, 151, 1},
    { 0, 0x6d, 0, 150, 1},
    { 0, 0x6c, 0, 150, 1},
    { 0, 0x6c, 0, 147, 1},
    { 0, 0x6c, 0, 150, 1},
    { 0, 0x6c, 0, 150, 1},
    { 0, 0x6c, 0, 150, 1},
    { 0, 0x6c, 0, 150, 1},
    { 0, 0x61, 1884, 146, 1},
    // 420: Local time: 01:35:00 AM
    { 0, 0x61, 0, 149, 1},
    { 0, 0x61, 0, 149, 1},
    { 0, 0x61, 0, 149, 1},
    { 0, 0x61, 0, 149, 1},
    { 0, 0x61, 0, 151, 1},
    { 0, 0x61, 0, 150, 1},
    { 0, 0x61, 0, 150, 1},
    { 0, 0x61, 0, 150, 1},
    { 0, 0x61, 0, 150, 1},
    { 0, 0x61, 0, 147, 1},
    { 0, 0x61, 0, 150, 1},
    { 0, 0x61, 0, 150, 1},
    { 0, 0x61, 0, 150, 1},
    { 0, 0x61, 0, 150, 1},
    { 0, 0x61, 25, 147, 1},
    // 435: Local time: 01:50:00 AM
    { 0, 0x62, 0, 150, 1},
    { 0, 0x62, 0, 150, 1},
    { 0, 0x62, 0, 150, 1},
    { 0, 0x62, 0, 150, 1},
    { 0, 0x62, 0, 140, 1},
    { 0, 0x62, 0, 151, 1},
    { 0, 0x62, 0, 150, 1},
    { 0, 0x62, 0, 150, 1},
    { 0, 0x62, 0, 150, 1},
    { 0, 0x62, 0, 147, 1},
    { 0, 0x62, 0, 150, 1},
    { 0, 0x62, 0, 150, 1},
    { 0, 0x62, 0, 150, 1},
    { 0, 0x62, 0, 150, 1},
    { 0, 0x62, 0, 147, 1},
    // 450: Local time: 02:05:00 AM
    { 0, 0x6f, 1170, 150, 1},
    { 0, 0x6f, 0, 150, 1},
    { 0, 0x6c, 1120, 153, 1},
    { 0, 0x6a, 0, 152, 1},
    { 0, 0x6a, 0, 153, 1},
    { 0, 0x6a, 0, 153, 1},
    { 0, 0x6a, 0, 152, 1},
    { 0, 0x6a, 0, 152, 1},
    { 0, 0x6a, 5, 152, 1},
    { 0, 0x5a, 1636, 150, 1},
    { 0, 0x6a, 77, 153, 1},
    { 0, 0x6a, 0, 153, 1},
    { 0, 0x6a, 0, 153, 1},
    { 0, 0x6a, 0, 153, 1},
    { 0, 0x6a, 0, 150, 1},
    // 465: Local time: 02:20:00 AM
    { 0, 0x6a, 0, 153, 1},
    { 0, 0x6a, 0, 153, 1},
    { 0, 0x6a, 0, 153, 1},
    { 0, 0x6a, 1586, 149, 1},
    { 0, 0x77, 313, 139, 1},
    { 0, 0x69, 141, 152, 1},
    { 0, 0x69, 0, 152, 1},
    { 0, 0x69, 0, 152, 1},
    { 0, 0x69, 0, 152, 1},
    { 0, 0x69, 0, 149, 1},
    { 0, 0x3c, 2204, 149, 1},
    { 0, 0x1e, 0, 149, 1},
    { 0, 0x1e, 6, 149, 1},
    { 0, 0x1e, 0, 149, 1},
    { 0, 0x1e, 0, 146, 1},
    // 480: Local time: 02:35:00 AM
    { 0, 0x1e, 0, 149, 1},
    { 0, 0x1e, 0, 150, 1},
    { 0, 0x1e, 0, 149, 1},
    { 0, 0x1e, 0, 150, 1},
    { 0, 0x1e, 0, 151, 1},
    { 0, 0x1e, 0, 150, 1},
    { 0, 0x1e, 0, 149, 1},
    { 0, 0x1e, 0, 149, 1},
    { 0, 0x1e, 0, 149, 1},
    { 0, 0x1e, 0, 146, 1},
    { 0, 0x1e, 0, 150, 1},
    { 0, 0x1e, 0, 150, 1},
    { 0, 0x1e, 0, 149, 1},
    { 0, 0x1e, 0, 149, 1},
    { 0, 0x1e, 0, 146, 1},
    // 495: Local time: 02:50:00 AM
    { 0, 0x1e, 0, 150, 1},
    { 0, 0x1e, 0, 150, 1},
    { 0, 0x1e, 0, 150, 1},
    { 0, 0x1e, 0, 149, 1},
    { 0, 0x1e, 0, 147, 1},
    { 0, 0x1e, 37, 140, 1},
    { 0, 0x1e, 0, 140, 1},
    { 0, 0x1e, 0, 150, 1},
    { 0, 0x1e, 0, 149, 1},
    { 0, 0x1e, 0, 146, 1},
    { 0, 0x2e, 1682, 140, 1},
    { 0, 0x69, 829, 142, 1},
    { 0, 0x69, 0, 134, 1},
    { 0, 0x69, 846, 148, 1},
    { 0, 0x7a, 628, 148, 1},
    // 510: Local time: 03:06:00 AM
    { 8, 0x6b, 2837, 151, 1},
    { 0, 0x7a, 1935, 153, 1},
    { 0, 0x65, 1128, 151, 1},
    { 0, 0x69, 738, 154, 1},
    { 0, 0x5a, 0, 144, 1},
    { 0, 0x5a, 65, 154, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x5a, 0, 153, 1},
    { 0, 0x5a, 0, 150, 1},
    { 0, 0x5a, 0, 153, 1},
    { 0, 0x5a, 0, 153, 1},
    { 0, 0x69, 1552, 151, 1},
    { 0, 0x69, 0, 152, 1},
    { 0, 0x69, 0, 148, 1},
    // 525: Local time: 03:21:00 AM
    { 0, 0x6a, 2514, 147, 1},
    { 0, 0x1f, 0, 148, 1},
    { 0, 0x1f, 0, 148, 1},
    { 0, 0x1f, 0, 148, 1},
    { 0, 0x1f, 0, 138, 1},
    { 0, 0x1f, 0, 149, 1},
    { 0, 0x1f, 0, 149, 1},
    { 0, 0x1f, 0, 149, 1},
    { 0, 0x1f, 0, 149, 1},
    { 0, 0x1f, 0, 146, 1},
    { 0, 0x1f, 0, 149, 1},
    { 0, 0x4f, 887, 150, 1},
    { 10, 0x5f, 760, 152, 1},
    { 0, 0x74, 302, 152, 1},
    { 0, 0x75, 1447, 144, 1},
    // 540: Local time: 03:36:00 AM
    { 0, 0x35, 810, 148, 1},
    { 0, 0x6, 925, 148, 1},
    { 0, 0xc, 0, 148, 1},
    { 0, 0xc, 0, 149, 1},
    { 0, 0xc, 0, 150, 1},
    { 0, 0xc, 0, 149, 1},
    { 0, 0xc, 0, 149, 1},
    { 0, 0xc, 0, 150, 1},
    { 0, 0xc, 0, 149, 1},
    { 0, 0xc, 0, 146, 1},
    { 0, 0xc, 0, 150, 1},
    { 0, 0xc, 0, 149, 1},
    { 0, 0xc, 0, 150, 1},
    { 0, 0xc, 0, 150, 1},
    { 0, 0xc, 0, 146, 1},
    // 555: Local time: 03:51:00 AM
    { 0, 0xc, 0, 150, 1},
    { 0, 0xc, 0, 150, 1},
    { 0, 0xc, 0, 150, 1},
    { 0, 0xc, 0, 150, 1},
    { 0, 0xc, 0, 137, 1},
    { 0, 0xc, 0, 150, 1},
    { 0, 0xc, 0, 150, 1},
    { 0, 0xc, 0, 150, 1},
    { 0, 0xc, 0, 150, 1},
    { 0, 0xc, 0, 146, 1},
    { 0, 0xc, 0, 150, 1},
    { 0, 0xc, 0, 150, 1},
    { 0, 0xc, 0, 150, 1},
    { 0, 0xc, 0, 150, 1},
    { 0, 0xc, 0, 147, 1},
    // 570: Local time: 04:06:00 AM
    { 0, 0xc, 0, 150, 1},
    { 0, 0xc, 0, 150, 1},
    { 0, 0xc, 0, 149, 1},
    { 0, 0xc, 0, 150, 1},
    { 0, 0x1a, 1345, 151, 1},
    { 0, 0x5a, 0, 149, 1},
    { 0, 0x5a, 0, 150, 1},
    { 0, 0x5a, 32, 154, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x5a, 0, 150, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x5a, 0, 151, 1},
    { 0, 0x5a, 0, 150, 1},
    // 585: Local time: 04:21:00 AM
    { 0, 0x5a, 0, 154, 1},
    { 0, 0x2b, 650, 149, 1},
    { 0, 0x2b, 0, 149, 1},
    { 0, 0x2b, 0, 149, 1},
    { 0, 0x2b, 0, 138, 1},
    { 0, 0x2b, 0, 149, 1},
    { 0, 0x2b, 0, 150, 1},
    { 0, 0x2b, 0, 150, 1},
    { 0, 0x2b, 294, 154, 1},
    { 0, 0x69, 576, 149, 1},
    { 0, 0x69, 104, 152, 1},
    { 0, 0x69, 0, 152, 1},
    { 0, 0x69, 607, 150, 1},
    { 0, 0x6f, 607, 150, 1},
    { 0, 0x6f, 0, 148, 1},
    // 600: Local time: 04:36:00 AM
    { 0, 0x6f, 509, 151, 1},
    { 0, 0x7f, 199, 151, 1},
    { 0, 0x7f, 0, 151, 1},
    { 0, 0x6f, 1507, 150, 1},
    { 0, 0x7e, 917, 152, 1},
    { 0, 0x8e, 0, 150, 1},
    { 0, 0x7e, 99, 150, 1},
    { 0, 0x7e, 1232, 150, 1},
    { 10, 0x7b, 3543, 151, 1},
    { 0, 0x69, 2111, 145, 1},
    { 0, 0x5a, 20, 148, 1},
    { 0, 0x5a, 206, 152, 1},
    { 0, 0x5a, 5, 152, 1},
    { 0, 0x5a, 0, 152, 1},
    { 0, 0x49, 481, 146, 1},
    // 615: Local time: 04:51:00 AM
    { 0, 0x49, 0, 150, 1},
    { 0, 0x49, 0, 150, 1},
    { 0, 0x49, 0, 150, 1},
    { 0, 0x49, 0, 151, 1},
    { 0, 0x49, 0, 152, 1},
    { 0, 0x49, 0, 151, 1},
    { 0, 0x49, 56, 151, 1},
    { 0, 0x4a, 0, 151, 1},
    { 0, 0x4a, 0, 151, 1},
    { 0, 0x4a, 0, 147, 1},
    { 0, 0x4a, 0, 151, 1},
    { 0, 0x4a, 0, 152, 1},
    { 0, 0x4a, 0, 152, 1},
    { 0, 0x4a, 0, 152, 1},
    { 0, 0x4a, 0, 148, 1},
    // 630: Local time: 05:07:00 AM
    { 0, 0x4a, 0, 151, 1},
    { 0, 0x4a, 6, 152, 1},
    { 0, 0x5a, 0, 153, 1},
    { 0, 0x5a, 0, 153, 1},
    { 0, 0x5a, 0, 142, 1},
    { 0, 0x5a, 0, 153, 1},
    { 0, 0x5a, 254, 153, 1},
    { 0, 0x5a, 0, 153, 1},
    { 0, 0x5a, 342, 153, 1},
    { 0, 0x5a, 643, 148, 1},
    { 0, 0x5a, 0, 152, 1},
    { 0, 0x5a, 144, 152, 1},
    { 0, 0x7f, 1880, 150, 1},
    { 0, 0x6f, 707, 150, 1},
    { 0, 0x7f, 0, 147, 1},
    // 645: Local time: 05:22:00 AM
    { 0, 0x7f, 0, 151, 1},
    { 0, 0x7f, 0, 151, 1},
    { 0, 0x7f, 0, 151, 1},
    { 0, 0x7f, 6, 150, 1},
    { 0, 0x7f, 32, 147, 1},
    { 0, 0x7f, 0, 151, 1},
    { 0, 0x7f, 0, 151, 1},
    { 0, 0x7f, 0, 151, 1},
    { 0, 0x7f, 767, 150, 1},
    { 0, 0x60, 0, 147, 1},
    { 0, 0x70, 0, 150, 1},
    { 0, 0x70, 0, 150, 1},
    { 0, 0x70, 0, 150, 1},
    { 0, 0x70, 0, 150, 1},
    { 0, 0x70, 0, 147, 1},
    // 660: Local time: 05:37:01 AM
    { 0, 0x70, 660, 151, 1},
    { 0, 0x7f, 0, 151, 1},
    { 0, 0x7f, 0, 151, 1},
    { 0, 0x7f, 0, 150, 1},
    { 0, 0x7f, 0, 148, 1},
    { 0, 0x7f, 0, 151, 1},
    { 0, 0x7f, 0, 151, 1},
    { 0, 0x7f, 0, 151, 1},
    { 0, 0x7f, 0, 151, 1},
    { 0, 0x7f, 0, 147, 1},
    { 0, 0x7f, 0, 151, 1},
    { 0, 0x7f, 0, 151, 1},
    { 0, 0x7f, 0, 151, 1},
    { 0, 0x7f, 0, 151, 1},
    { 0, 0x7f, 0, 147, 1},
    // 675: Local time: 05:52:00 AM
    { 0, 0x7f, 20, 151, 1},
    { 0, 0x7f, 0, 151, 1},
    { 0, 0x7f, 166, 142, 1},
    { 0, 0x7f, 5, 142, 1},
    { 0, 0x7f, 51, 152, 1},
    { 0, 0x7f, 6, 150, 1},
    { 0, 0x7f, 0, 150, 1},
    { 0, 0x7f, 0, 150, 1},
    { 0, 0x7f, 142, 150, 1},
    { 0, 0x7f, 0, 147, 1},
    { 0, 0x7f, 37, 151, 1},
    { 0, 0x7f, 0, 149, 1},
    { 0, 0x7f, 0, 126, 1},
    { 0, 0x7f, 0, 151, 1},
    { 0, 0x7f, 37, 147, 1},
    // 690: Local time: 06:07:00 AM
    { 0, 0x7f, 29, 151, 1},
    { 0, 0x7f, 75, 151, 1},
    { 0, 0x7f, 0, 152, 1},
    { 0, 0x7f, 0, 152, 1},
    { 8, 0x7a, 1032, 154, 1},
    { 0, 0x59, 70, 131, 1},
    { 0, 0x59, 0, 110, 1},
    { 0, 0x59, 180, 122, 1},
    { 0, 0x49, 361, 153, 1},
    { 0, 0x49, 48, 149, 1},
    { 0, 0x49, 0, 153, 1},
    { 0, 0x49, 0, 153, 1},
    { 0, 0x49, 0, 153, 1},
    { 0, 0x59, 0, 153, 1},
    { 0, 0x59, 0, 149, 1},
    // 705: Local time: 06:22:00 AM
    { 0, 0x59, 0, 153, 1},
    { 0, 0x59, 0, 153, 1},
    { 0, 0x59, 0, 153, 1},
    { 0, 0x59, 0, 153, 1},
    { 0, 0x59, 0, 142, 1},
    { 0, 0x59, 0, 153, 1},
    { 0, 0x59, 0, 153, 1},
    { 0, 0x59, 0, 153, 1},
    { 0, 0x59, 0, 153, 1},
    { 0, 0x59, 0, 148, 1},
    { 0, 0x59, 0, 154, 1},
    { 0, 0x59, 0, 153, 1},
    { 0, 0x59, 1271, 152, 1},
    { 0, 0x69, 0, 152, 1},
    { 0, 0x69, 0, 148, 1},
    // 720: Local time: 06:37:00 AM
    { 0, 0x69, 0, 152, 1},
    { 0, 0x69, 0, 152, 1},
    { 0, 0x69, 0, 151, 1},
    { 0, 0x69, 0, 152, 1},
    { 0, 0x69, 0, 153, 1},
    { 0, 0x69, 0, 152, 1},
    { 0, 0x69, 0, 152, 1},
    { 0, 0x69, 0, 152, 1},
    { 0, 0x69, 0, 152, 1},
    { 0, 0x69, 0, 148, 1},
    { 0, 0x69, 146, 153, 0},
    { 0, 0x69, 0, 152, 0},
    { 0, 0x69, 0, 152, 0},
    { 0, 0x69, 0, 152, 0},
    { 0, 0x7b, 3563, 144, 0},
    // 735: Local time: 06:52:00 AM
    { 0, 0x84, 0, 148, 0},
    { 0, 0x5e, 1228, 148, 0},
    { 0, 0x1d, 3, 148, 0},
    { 0, 0x6e, 975, 151, 0},
    { 0, 0x65, 987, 139, 0},
    { 0, 0x35, 1333, 147, 0},
    { 0, 0x1c, 0, 148, 0},
    { 0, 0x1c, 0, 148, 0},
    { 0, 0x3a, 2137, 154, 0},
    { 0, 0x5a, 0, 150, 0},
    { 0, 0x5a, 0, 154, 0},
    { 0, 0x5a, 46, 152, 0},
    { 0, 0x49, 302, 159, 0},
    { 18, 0x78, 5291, 170, 0},
    { 0, 0x64, 9345, 168, 0},
    // 750: Local time: 07:07:00 AM
    { 8, 0x44, 1538, 156, 0},
    { 0, 0x44, 712, 170, 0},
    { 0, 0x44, 3124, 161, 0},
    { 9, 0x42, 6031, 183, 0},
    { 0, 0x62, 2190, 164, 0},
    { 0, 0x62, 0, 191, 0},
    { 0, 0x48, 989, 190, 0},
    { 0, 0x65, 82, 190, 0},
    { 0, 0x64, 1870, 188, 0},
    { 0, 0x53, 619, 188, 0},
    { 0, 0x64, 1072, 190, 0},
    { 0, 0x56, 583, 189, 0},
    { 0, 0x48, 0, 189, 0},
    { 0, 0x66, 844, 186, 0},
    { 0, 0x35, 1070, 183, 0},
    // 765: Local time: 07:22:00 AM
    { 0, 0x25, 39, 186, 0},
    { 0, 0x25, 30, 184, 0},
    { 0, 0x26, 17, 185, 0},
    { 0, 0x25, 175, 187, 0},
    { 0, 0x44, 4405, 181, 0},
    { 0, 0x32, 4234, 195, 0},
    { 19, 0x45, 7452, 191, 0},
    { 7, 0x34, 3727, 190, 0},
    { 0, 0x35, 7130, 190, 0},
    { 7, 0x25, 5296, 151, 0},
    { 8, 0x42, 7466, 165, 0},
    { 0, 0x52, 6545, 158, 0},
    { 0, 0x33, 3792, 163, 0},
    { 0, 0x43, 1073, 169, 0},
    { 0, 0x44, 505, 174, 0},
    // 780: Local time: 07:37:00 AM
    { 0, 0x44, 548, 181, 0},
    { 12, 0x44, 3252, 171, 0},
    { 0, 0x45, 7784, 169, 0},
    { 0, 0x45, 7862, 170, 0},
    { 0, 0x33, 519, 177, 0},
    { 0, 0x32, 104, 164, 0},
    { 0, 0x33, 1352, 159, 0},
    { 0, 0x32, 68, 161, 0},
    { 0, 0x32, 68, 146, 0},
    { 0, 0x22, 392, 169, 0},
    { 0, 0x22, 60, 171, 0},
    { 0, 0x22, 227, 173, 0},
    { 0, 0x22, 72, 173, 0},
    { 0, 0x32, 3415, 181, 0},
    { 12, 0x42, 9371, 161, 0},
    // 795: Local time: 07:52:00 AM
    { 0, 0x41, 10693, 209, 0},
    { 12, 0x67, 10428, 203, 0},
    { 0, 0x44, 11321, 178, 0},
    { 0, 0x42, 8624, 186, 0},
    { 17, 0x41, 6112, 173, 0},
    { 53, 0x33, 4993, 222, 0},
    { 114, 0x41, 4869, 203, 0},
    { 109, 0x40, 4561, 204, 0},
    { 110, 0x40, 7144, 218, 0},
    { 119, 0x40, 7008, 219, 0},
    { 119, 0x40, 7115, 223, 0},
    { 89, 0x40, 6385, 234, 0},
    { 98, 0x40, 5609, 186, 0},
    { 120, 0x40, 7808, 237, 0},
    { 95, 0x40, 7996, 225, 0},
    // 810: Local time: 08:07:00 AM
    { 120, 0x40, 6320, 234, 0},
    { 120, 0x40, 5976, 229, 0},
    { 120, 0x40, 6850, 230, 0},
    { 103, 0x40, 5083, 227, 0},
    { 30, 0x40, 2933, 210, 0},
    { 131, 0x40, 7235, 195, 0},
    { 41, 0x42, 6871, 186, 0},
    { 0, 0x45, 321, 197, 0},
    { 0, 0x45, 220, 183, 0},
    { 0, 0x65, 1865, 207, 0},
    { 0, 0x57, 447, 205, 0},
    { 0, 0x46, 473, 193, 0},
    { 0, 0x66, 576, 200, 0},
    { 0, 0x8a, 17, 200, 0},
    { 0, 0x78, 757, 212, 0},
    // 825: Local time: 08:22:00 AM
    { 0, 0x46, 877, 195, 0},
    { 0, 0x56, 395, 218, 0},
    { 24, 0x56, 870, 180, 0},
    { 4, 0x46, 836, 201, 0},
    { 0, 0x46, 94, 205, 0},
    { 0, 0x46, 234, 194, 0},
    { 0, 0x46, 378, 194, 0},
    { 9, 0x57, 669, 235, 0},
    { 0, 0x47, 710, 195, 0},
    { 0, 0x37, 858, 215, 0},
    { 0, 0x37, 1104, 197, 0},
    { 0, 0x44, 27, 180, 0},
    { 0, 0x44, 0, 186, 0},
    { 0, 0x44, 13, 184, 0},
    { 0, 0x76, 505, 197, 0},
    // 840: Local time: 08:37:00 AM
    { 13, 0x66, 1576, 203, 0},
    { 0, 0x46, 270, 202, 0},
    { 0, 0x46, 421, 206, 0},
    { 0, 0x46, 660, 201, 0},
    { 0, 0x46, 1146, 208, 0},
    { 0, 0x46, 1226, 195, 0},
    { 0, 0x36, 163, 186, 0},
    { 0, 0x36, 185, 188, 0},
    { 0, 0x45, 1629, 186, 0},
    { 0, 0x54, 99, 193, 0},
    { 0, 0x54, 175, 187, 0},
    { 16, 0x55, 1166, 218, 0},
    { 0, 0x46, 566, 196, 0},
    { 0, 0x47, 667, 200, 0},
    { 0, 0x46, 856, 190, 0},
    // 855: Local time: 08:52:00 AM
    { 0, 0x45, 934, 183, 0},
    { 0, 0x45, 473, 211, 0},
    { 0, 0x47, 1218, 201, 0},
    { 15, 0x53, 4228, 182, 0},
    { 26, 0x41, 4105, 234, 0},
    { 122, 0x40, 8086, 236, 0},
    { 92, 0x40, 8044, 233, 0},
    { 100, 0x40, 8653, 240, 0},
    { 100, 0x7f, 4832, 241, 0},
    { 110, 0x40, 7511, 233, 0},
    { 79, 0x51, 10168, 233, 0},
    { 112, 0x25, 4728, 234, 0},
    { 111, 0x31, 6351, 219, 0},
    { 77, 0x41, 7447, 177, 0},
    { 13, 0x5f, 7831, 192, 0},
  };
  *len = ARRAY_LENGTH(samples);
  return samples;
}

