/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#pragma once

#include <stddef.h>

//! @file ${filename}
//! This file is autogenerated by tools/applib_malloc.py


//! Allocate memory for applib for a given size
void* applib_malloc(size_t size);

//! Allocate memory for applib for a given size and zero the buffer
void* applib_zalloc(size_t size);

//! Deallocate memory previously allocated using applib_malloc
void applib_free(void *ptr);

//! Allocate the appropriate amount of memory for the given type.
#define applib_type_malloc(malloc_type) \
  _applib_type_malloc_## malloc_type()

//! Allocate the appropriate amount of memory for the given type.
#define applib_type_zalloc(malloc_type) \
  _applib_type_zalloc_## malloc_type()

//! Get the size we should allocate for the given type.
#define applib_type_size(malloc_type) \
  _applib_type_size_## malloc_type()
